Bug 166428 - udev doesn't fix perms for Epson Perfection 2480 Photo scanner
udev doesn't fix perms for Epson Perfection 2480 Photo scanner
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Depends On:
  Show dependency treegraph
Reported: 2005-08-20 22:47 EDT by Jonathan Kamens
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-14 02:22:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2005-08-20 22:47:14 EDT
It appears that sane-backends knows how to tell hotplug how to fix the
permissions for the Epson Perfection 2480 Photo scanner, by creating
/etc/hotplug/usb/libsane.usermap and /etc/hotplug/usb/libusbscanner, but that
support for usb was recently removed from hotplug and moved to udev, and
sane-backends does *not* know how to tell udev to do the right thing with this
scanner or all the other ones listed in /etc/hotplug/usb/libsane.usermap.  I
assume that this is a bug with sane-backends rather than a bug with udev, but it
seems to me that hotplug usb support shouldn't have been removed when there were
packages such as sane-backends still depending on it.
Comment 1 Nils Philippsen 2006-06-07 09:00:13 EDT
sane-backends-1.0.17-5.fc5.9 contains this entry for your scanner in

# Epson Corp.|Perfection 2400 Photo
SYSFS{idVendor}=="04b8", SYSFS{idProduct}=="011b", SYMLINK+="scanner-%k"

Please verify whether your problem still persists.
Comment 2 Jonathan Kamens 2006-06-14 01:40:17 EDT
Seems fine in current Raw hide, thanks.

Note You need to log in before you can comment on or make changes to this bug.